Delete public folder
DELETE
/domains/{domainID}/folders/{folderID}
const url = 'https://example.com/api/v1/domains/1/folders/1?clear=false&timeout=1';const options = {method: 'DELETE', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://example.com/api/v1/domains/1/folders/1?clear=false&timeout=1' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
folderID
required
integer
ID of the folder
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Query Parameters
Section titled “Query Parameters”clear
boolean
Clear folder before deleting it
timeout
number
Time in seconds to wait for completion
Responses
Section titled “ Responses ”Deletion successful
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Task took more than timeout seconds and is resumed in the background
Media typeapplication/json
object
message
string
taskID
ID of the task running the command
integer
Examplegenerated
{ "message": "example", "taskID": 1}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}